/*
* This file is part of video-editor-ui
*
* Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies). All rights
* reserved.
*
* Contact: Kristiina Hietanen <Kristiina.Hietanen@nokia.com>
*
* This software, including documentation, is protected by copyright controlled
* by Nokia Corporation. All rights are reserved. Copying, including
* reproducing, storing, adapting or translating, any or all of this material
* requires the prior written consent of Nokia Corporation. This material also
* contains confidential information which may not be disclosed to others
* without the prior written consent of Nokia.
*
*/

import QtQuick 1.1
import com.nokia.meego 1.0

BorderImage {
    property Style platformStyle: SliderStyle{ inverted: true }
    property alias text: label.text

    id: root
    source: platformStyle.valueBackground

    border { left: 12; top: 12; right: 12; bottom: 12 }
    width: label.width + 28
    height: 40

    Image {
        id: arrow
        source: root.platformStyle.labelArrowDown
        anchors.top: root.bottom
        anchors.horizontalCenter: root.horizontalCenter
    }

    Text {
        id: label
        anchors.centerIn: parent
        color: root.platformStyle.textColor
        font.pixelSize: root.platformStyle.fontPixelSize
        font.family: root.platformStyle.fontFamily
    }

    Behavior on visible {
        enabled: !root.visible
        PropertyAnimation {
            duration: 100
        }
    }
}
